ReferenceAutomationsExecutions

    List execution history and attention notifications

    List execution history and attention notifications - GET /automations/executions. DocDealer REST API reference.

    GET
    /automations/executions

    Authorization

    bearerAuth
    AuthorizationBearer <token>

    In: header

    Query Parameters

    ruleId?string
    Formatuuid
    status?string

    Value in

    • "pending"
    • "running"
    • "succeeded"
    • "failed"
    • "retry_wait"
    • "unknown"
    • "cancelled"
    from?string
    Formatdate-time
    to?string
    Formatdate-time
    page?integer
    Range1 <= value <= 1000000
    Default1
    pageSize?integer
    Range1 <= value <= 100
    Default25

    Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X GET "https://example.com/automations/executions"
    {  "executions": [    null  ],  "page": 0,  "pageSize": 0,  "total": 0}